<?php

namespace app\foreignone\files;

interface FileInterface
{
    public function getId(): string;
    public function getIcon(): string;
    public function getUrl(): string;
    public function getSize(): ?int;
    public function getTitle(): string;
    public function getTitleHtml(): ?string;
    public function getSubtitle(): ?string;
    public function getMeta(?string $hl_matched = null): array;
    public function isTargetBlank(): bool;
}